# 2013-01-27 Ed Trettevik - initial
#=======================================================================================
# No debuginfo
%define debug_package ${nil}
%if 0%{?rhel} > 5
%define exclude_infodir_dir 1
%endif
%if 0%{?fedora}
%define exclude_infodir_dir 1
%endif

Summary: A framework for managing NodeBrain applications
Name: nbkit-system
Version: 0.8.14
Release: 1%{?dist}
License: GPLv2
Group: Applications/Engineering
Source: nbkit-system-0.8.14.tar.gz
BuildArch: noarch
URL: http://www.nodebrain.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: nodebrain
Requires: nbkit-caboodle
Requires(preun): /sbin/install-info
AutoReqProv: no

%prep
%setup -q 

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} \
    docdir=%{buildroot}%{_docdir}/%{name} \
    install

%post
if [ -f %{_infodir}/%{name}.info.gz ]; then # for --excludedocs
   /sbin/install-info %{_infodir}/%{name}.info.gz --dir-file=%{_infodir}/dir ||:
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/${name}.info.gz ]; then # for --excludedocs
        /sbin/install-info --delete %{_infodir}/${name}.info.gz %{_infodir}/dir ||:
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%description
The System NodeBrain Kit is a minimal application for monitoring a server
or application.  It is intended primarily as an example of a NodeBrain Kit
to be used by others to create more useful kits.  But it provides components
suffient to create a working monitoring application.

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_mandir}/man7/*.7*
%{_infodir}/*.info*
%if 0%{?exclude_infodir_dir}
%exclude %{_infodir}/dir
%endif
# NOTE: This package should not own the nbkit directory.  However, until
# the nbkit-caboodle package is included in the build.opensuse.org virtual
# machines, where this spec file is being tested, it will be coded to
# give ownership to this package.  Uncomment the following line and delete
# the line after that when creating a package for real.
#%{_datadir}/nbkit/*
%{_datadir}/nbkit

#-------------------------------------------------------------------------

%changelog
* Sat Mar 9 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.14-1
- Initial RPM release
